### Hierarchy

- DialogService

### Implements

- DialogApi

## Index

### Constructors

- constructor

### Properties

- apiVersion
- baseUrl
- client

### Accessors

- lastServiceActivity

### Methods

- addAttachment
- addClientListener
- changeMode
- changeView
- createSession
- d3lete
- deleteDialog
- deleteSession
- get
- getActions
- getAvailableValues
- getContent
- getDialog
- getEditorProperty
- getMode
- getQueryProperty
- getRecord
- getRecords
- getRedirection
- getSession
- getView
- getViews
- getWorkbench
- getWorkbenchActions
- getWorkbenches
- isAnyUserInBriefcaseMode
- isUserInBriefcaseMode
- openContentStream
- performAction
- performWorkbenchAction
- post
- propertyChange
- put
- putRecord
- removeClientListener
- stream
- streamUrl
- writeProperty

## Constructors

### constructor

- new DialogService(client: Client, serverUrl: string, apiVersion: any): DialogService

- - Defined in dialog/DialogService.ts:33

  #### Parameters

  - ##### client: Client

  - ##### serverUrl: string

  - ##### apiVersion: any

  #### Returns DialogService

## Properties

### apiVersion

apiVersion: any

- Defined in dialog/DialogService.ts:35

### baseUrl

baseUrl: string

- Defined in dialog/DialogService.ts:33

### client

client: Client

- Defined in dialog/DialogService.ts:35

## Accessors

### lastServiceActivity

- get lastServiceActivity(): Date

- - Defined in dialog/DialogService.ts:303

  #### Returns Date

## Methods

### addAttachment

- addAttachment(tenantId: string, sessionId: string, dialogId: string, attachment: Attachment): Promise<void>

- Implementation of DialogApi.addAttachment

  - Defined in dialog/DialogService.ts:40

  #### Parameters

  - ##### tenantId: string

  - ##### sessionId: string

  - ##### dialogId: string

  - ##### attachment: Attachment

  #### Returns Promise<void>

### addClientListener

- addClientListener(clientListener: ClientListener, locale: CvLocale): void

- Implementation of DialogApi.addClientListener

  - Defined in dialog/DialogService.ts:44

  #### Parameters

  - ##### clientListener: ClientListener

  - ##### locale: CvLocale

  #### Returns void

### changeMode

- changeMode(tenantId: string, sessionId: string, dialogId: string, mode: ViewMode): Promise<EditorDialog | Redirection>

- Implementation of DialogApi.changeMode

  - Defined in dialog/DialogService.ts:261

  #### Parameters

  - ##### tenantId: string

  - ##### sessionId: string

  - ##### dialogId: string

  - ##### mode: ViewMode

  #### Returns Promise<EditorDialog | Redirection>

### changeView

- changeView(tenantId: string, sessionId: string, dialogId: string, viewId: string): Promise<Dialog>

- Implementation of DialogApi.changeView

  - Defined in dialog/DialogService.ts:279

  #### Parameters

  - ##### tenantId: string

  - ##### sessionId: string

  - ##### dialogId: string

  - ##### viewId: string

  #### Returns Promise<Dialog>

### createSession

- createSession(tenantId: string, login: Login): Promise<Session | Redirection>

- Implementation of DialogApi.createSession

  - Defined in dialog/DialogService.ts:52

  #### Parameters

  - ##### tenantId: string

  - ##### login: Login

  #### Returns Promise<Session | Redirection>

### Private d3lete

- d3lete(path: string): Promise<JsonClientResponse>

- - Defined in dialog/DialogService.ts:317

  #### Parameters

  - ##### path: string

  #### Returns Promise<JsonClientResponse>

### deleteDialog

- deleteDialog(tenantId: string, sessionId: string, dialogId: string): Promise<object>

- Implementation of DialogApi.deleteDialog

  - Defined in dialog/DialogService.ts:105

  #### Parameters

  - ##### tenantId: string

  - ##### sessionId: string

  - ##### dialogId: string

  #### Returns Promise<object>

### deleteSession

- deleteSession(tenantId: string, sessionId: string): Promise<object>

- Implementation of DialogApi.deleteSession

  - Defined in dialog/DialogService.ts:63

  #### Parameters

  - ##### tenantId: string

  - ##### sessionId: string

  #### Returns Promise<object>

### Private get

- get(path: string, queryParams?: StringDictionary): Promise<JsonClientResponse>

- - Defined in dialog/DialogService.ts:309

  #### Parameters

  - ##### path: string

  - ##### Optional queryParams: StringDictionary

  #### Returns Promise<JsonClientResponse>

### getActions

- getActions(tenantId: string, sessionId: string, dialogId: string): Promise<Array<Menu>>

- Implementation of DialogApi.getActions

  - Defined in dialog/DialogService.ts:111

  #### Parameters

  - ##### tenantId: string

  - ##### sessionId: string

  - ##### dialogId: string

  #### Returns Promise<Array<Menu>>

### getAvailableValues

- getAvailableValues(tenantId: string, sessionId: string, dialogId: string, propertyName: string, availableValuesParams: AvailableValuesParameters): Promise<Array<any>>

- Implementation of DialogApi.getAvailableValues

  - Defined in dialog/DialogService.ts:236

  #### Parameters

  - ##### tenantId: string

  - ##### sessionId: string

  - ##### dialogId: string

  - ##### propertyName: string

  - ##### availableValuesParams: AvailableValuesParameters

  #### Returns Promise<Array<any>>

### getContent

- getContent(tenantId: string, sessionId: string, contentId: string, readLargePropertyParams: ReadLargePropertyParameters): Promise<LargeProperty>

- Implementation of DialogApi.getContent

  - Defined in dialog/DialogService.ts:69

  #### Parameters

  - ##### tenantId: string

  - ##### sessionId: string

  - ##### contentId: string

  - ##### readLargePropertyParams: ReadLargePropertyParameters

  #### Returns Promise<LargeProperty>

### getDialog

- getDialog(tenantId: string, sessionId: string, dialogId: string): Promise<Dialog>

- Implementation of DialogApi.getDialog

  - Defined in dialog/DialogService.ts:99

  #### Parameters

  - ##### tenantId: string

  - ##### sessionId: string

  - ##### dialogId: string

  #### Returns Promise<Dialog>

### getEditorProperty

- getEditorProperty(tenantId: string, sessionId: string, dialogId: string, propertyName: string, readLargePropertyParams: ReadLargePropertyParameters): Promise<LargeProperty>

- Implementation of DialogApi.getEditorProperty

  - Defined in dialog/DialogService.ts:182

  #### Parameters

  - ##### tenantId: string

  - ##### sessionId: string

  - ##### dialogId: string

  - ##### propertyName: string

  - ##### readLargePropertyParams: ReadLargePropertyParameters

  #### Returns Promise<LargeProperty>

### getMode

- getMode(tenantId: string, sessionId: string, dialogId: string): Promise<ViewMode>

- Implementation of DialogApi.getMode

  - Defined in dialog/DialogService.ts:255

  #### Parameters

  - ##### tenantId: string

  - ##### sessionId: string

  - ##### dialogId: string

  #### Returns Promise<ViewMode>

### getQueryProperty

- getQueryProperty(tenantId: string, sessionId: string, dialogId: string, propertyName: string, readLargePropertyParams: ReadLargePropertyParameters): Promise<LargeProperty>

- Implementation of DialogApi.getQueryProperty

  - Defined in dialog/DialogService.ts:195

  #### Parameters

  - ##### tenantId: string

  - ##### sessionId: string

  - ##### dialogId: string

  - ##### propertyName: string

  - ##### readLargePropertyParams: ReadLargePropertyParameters

  #### Returns Promise<LargeProperty>

### getRecord

- getRecord(tenantId: string, sessionId: string, dialogId: string): Promise<Record>

- Implementation of DialogApi.getRecord

  - Defined in dialog/DialogService.ts:153

  #### Parameters

  - ##### tenantId: string

  - ##### sessionId: string

  - ##### dialogId: string

  #### Returns Promise<Record>

### getRecords

- getRecords(tenantId: string, sessionId: string, dialogId: string, queryParams: QueryParameters): Promise<RecordSet>

- Implementation of DialogApi.getRecords

  - Defined in dialog/DialogService.ts:171

  #### Parameters

  - ##### tenantId: string

  - ##### sessionId: string

  - ##### dialogId: string

  - ##### queryParams: QueryParameters

  #### Returns Promise<RecordSet>

### getRedirection

- getRedirection(tenantId: string, sessionId: string, redirectionId: string): Promise<Redirection>

- Implementation of DialogApi.getRedirection

  - Defined in dialog/DialogService.ts:93

  #### Parameters

  - ##### tenantId: string

  - ##### sessionId: string

  - ##### redirectionId: string

  #### Returns Promise<Redirection>

### getSession

- getSession(tenantId: string, sessionId: string): Promise<Session>

- Implementation of DialogApi.getSession

  - Defined in dialog/DialogService.ts:57

  #### Parameters

  - ##### tenantId: string

  - ##### sessionId: string

  #### Returns Promise<Session>

### getView

- getView(tenantId: string, sessionId: string, dialogId: string): Promise<View>

- Implementation of DialogApi.getView

  - Defined in dialog/DialogService.ts:273

  #### Parameters

  - ##### tenantId: string

  - ##### sessionId: string

  - ##### dialogId: string

  #### Returns Promise<View>

### getViews

- getViews(tenantId: string, sessionId: string, dialogId: string): Promise<Array<ViewDescriptor>>

- Implementation of DialogApi.getViews

  - Defined in dialog/DialogService.ts:285

  #### Parameters

  - ##### tenantId: string

  - ##### sessionId: string

  - ##### dialogId: string

  #### Returns Promise<Array<ViewDescriptor>>

### getWorkbench

- getWorkbench(tenantId: string, sessionId: string, workbenchId: string): Promise<Workbench>

- Implementation of DialogApi.getWorkbench

  - Defined in dialog/DialogService.ts:87

  #### Parameters

  - ##### tenantId: string

  - ##### sessionId: string

  - ##### workbenchId: string

  #### Returns Promise<Workbench>

### getWorkbenchActions

- getWorkbenchActions(tenantId: string, sessionId: string, workbenchId: string): Promise<Array<WorkbenchAction>>

- Implementation of DialogApi.getWorkbenchActions

  - Defined in dialog/DialogService.ts:131

  #### Parameters

  - ##### tenantId: string

  - ##### sessionId: string

  - ##### workbenchId: string

  #### Returns Promise<Array<WorkbenchAction>>

### getWorkbenches

- getWorkbenches(tenantId: string, sessionId: string): Promise<Array<Workbench>>

- Implementation of DialogApi.getWorkbenches

  - Defined in dialog/DialogService.ts:81

  #### Parameters

  - ##### tenantId: string

  - ##### sessionId: string

  #### Returns Promise<Array<Workbench>>

### isAnyUserInBriefcaseMode

- isAnyUserInBriefcaseMode(tenantId: string): Promise<boolean>

- Implementation of DialogApi.isAnyUserInBriefcaseMode

  - Defined in dialog/DialogService.ts:295

  #### Parameters

  - ##### tenantId: string

  #### Returns Promise<boolean>

### isUserInBriefcaseMode

- isUserInBriefcaseMode(userInfo: __type): Promise<boolean>

- Implementation of DialogApi.isUserInBriefcaseMode

  - Defined in dialog/DialogService.ts:299

  #### Parameters

  - ##### userInfo: __type

  #### Returns Promise<boolean>

### openContentStream

- openContentStream(tenantId: string, sessionId: string, contentId: string): Promise<StreamProducer>

- - Defined in dialog/DialogService.ts:249

  #### Parameters

  - ##### tenantId: string

  - ##### sessionId: string

  - ##### contentId: string

  #### Returns Promise<StreamProducer>

### performAction

- performAction(tenantId: string, sessionId: string, dialogId: string, actionId: string, actionParameters: ActionParameters): Promise<Redirection>

- Implementation of DialogApi.performAction

  - Defined in dialog/DialogService.ts:117

  #### Parameters

  - ##### tenantId: string

  - ##### sessionId: string

  - ##### dialogId: string

  - ##### actionId: string

  - ##### actionParameters: ActionParameters

  #### Returns Promise<Redirection>

### performWorkbenchAction

- performWorkbenchAction(tenantId: string, sessionId: string, workbenchId: string, actionId: string): Promise<Redirection>

- Implementation of DialogApi.performWorkbenchAction

  - Defined in dialog/DialogService.ts:141

  #### Parameters

  - ##### tenantId: string

  - ##### sessionId: string

  - ##### workbenchId: string

  - ##### actionId: string

  #### Returns Promise<Redirection>

### Private post

- post<T>(path: string, body?: T): Promise<JsonClientResponse>

- - Defined in dialog/DialogService.ts:313

  #### Type parameters

  - #### T

  #### Parameters

  - ##### path: string

  - ##### Optional body: T

  #### Returns Promise<JsonClientResponse>

### propertyChange

- propertyChange(tenantId: string, sessionId: string, dialogId: string, propertyName: string, sideEffectsParams: SideEffectsParameters): Promise<SideEffectsResponse>

- Implementation of DialogApi.propertyChange

  - Defined in dialog/DialogService.ts:223

  #### Parameters

  - ##### tenantId: string

  - ##### sessionId: string

  - ##### dialogId: string

  - ##### propertyName: string

  - ##### sideEffectsParams: SideEffectsParameters

  #### Returns Promise<SideEffectsResponse>

### Private put

- put<T>(path: string, body?: T): Promise<JsonClientResponse>

- - Defined in dialog/DialogService.ts:321

  #### Type parameters

  - #### T

  #### Parameters

  - ##### path: string

  - ##### Optional body: T

  #### Returns Promise<JsonClientResponse>

### putRecord

- putRecord(tenantId: string, sessionId: string, dialogId: string, record: Record): Promise<EditorDialog | Redirection>

- Implementation of DialogApi.putRecord

  - Defined in dialog/DialogService.ts:159

  #### Parameters

  - ##### tenantId: string

  - ##### sessionId: string

  - ##### dialogId: string

  - ##### record: Record

  #### Returns Promise<EditorDialog | Redirection>

### removeClientListener

- removeClientListener(clientListener: ClientListener): void

- Implementation of DialogApi.removeClientListener

  - Defined in dialog/DialogService.ts:48

  #### Parameters

  - ##### clientListener: ClientListener

  #### Returns void

### Private stream

- stream(url: string): Promise<StreamProducer>

- - Defined in dialog/DialogService.ts:325

  #### Parameters

  - ##### url: string

  #### Returns Promise<StreamProducer>

### streamUrl

- streamUrl(tentantId: string, sessionId: string, url: string): Promise<StreamProducer>

- Implementation of DialogApi.streamUrl

  - Defined in dialog/DialogService.ts:291

  #### Parameters

  - ##### tentantId: string

  - ##### sessionId: string

  - ##### url: string

  #### Returns Promise<StreamProducer>

### writeProperty

- writeProperty(tenantId: string, sessionId: string, dialogId: string, propertyName: string, writeLargePropertyParams: WriteLargePropertyParameters): Promise<object>

- Implementation of DialogApi.writeProperty

  - Defined in dialog/DialogService.ts:208

  #### Parameters

  - ##### tenantId: string

  - ##### sessionId: string

  - ##### dialogId: string

  - ##### propertyName: string

  - ##### writeLargePropertyParams: WriteLargePropertyParameters

  #### Returns Promise<object>

Generated using TypeDoc